package com.hai.service;

import com.hai.entity.HighUser;
import com.hai.entity.HighUserCard;

import java.util.List;

public interface HighUserCardService {

    /**
     * 编辑
     * @param highUserCard
     */
    void editCard(HighUserCard highUserCard);

    /**
     * 绑定卡片
     * @param type
     * @param cardNo
     */
    void bindCard(Integer type,String cardNo,Long userId);

    /**
     * 解除卡片
     * @param cardNo
     * @param userId
     */
    void delUserCard(String cardNo,Long userId);

    /**
     * 根据id查询详情
     * @param id
     * @return
     */
    HighUserCard getDetailById(Long id);

    /**
     * 查询列表
     * @param type
     * @param userId
     * @return
     */
    List<HighUserCard> getListByUser(Long userId,Integer type);

    /**
     * 根据用户和卡号查询
     * @param userId
     * @param cardNo
     * @return
     */
    HighUserCard getDetailByUserCardNo(Long userId,String cardNo);

    /**
     * 查询详情
     * @param cardNo
     * @return
     */
    List<HighUserCard> getDetailByCardNo(String cardNo);

    /**
     * 是否绑定汇联通工会卡
     * @param userId
     * @return
     */
    Boolean isBindHtlCard(Long userId);

    /**
     * @Author hurui
     * @Description 获取一张汇联通工会卡
     * @Date 15:42 2021/9/7
     * @Param [userId]
     * @return com.hai.entity.HighUserCard
     **/
    HighUserCard getUserHtlCardNo(Long userId);

}
